GDB (xrefs)

Public Attributes | List of all members
add_partial_filename_data Struct Reference

## Public Attributes
struct filename_seen_cache * | filename_seen_cache
const char * | text
const char * | word
int | text_len
completion_list * | list

## Detailed Description

Definition at line 5338 of file symtab.c.

## Member Data Documentation

## ◆ filename_seen_cache

struct filename_seen_cache* add_partial_filename_data::filename_seen_cache

Definition at line 5340 of file symtab.c.

Referenced by make_source_files_completion_list(), and maybe_add_partial_symtab_filename().

## ◆ list

completion_list* add_partial_filename_data::list

Definition at line 5344 of file symtab.c.

Referenced by make_source_files_completion_list(), and maybe_add_partial_symtab_filename().

## ◆ text

const char* add_partial_filename_data::text

Definition at line 5341 of file symtab.c.

Referenced by make_source_files_completion_list(), and maybe_add_partial_symtab_filename().

## ◆ text_len

int add_partial_filename_data::text_len

Definition at line 5343 of file symtab.c.

Referenced by make_source_files_completion_list(), and maybe_add_partial_symtab_filename().

## ◆ word

const char* add_partial_filename_data::word

Definition at line 5342 of file symtab.c.

Referenced by make_source_files_completion_list(), and maybe_add_partial_symtab_filename().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symtab.c